package com.winhc.data.task;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @author π
 * @Description:
 * @date 2023/5/30 17:32
 */
public class BaseTask {

    private static final Logger logger = LoggerFactory.getLogger(BaseTask.class);

    private final Connection conn;
    private final Statement stmt;

    public BaseTask(Connection conn) throws SQLException {
        this.conn = conn;
        this.stmt = conn.createStatement();
    }

    public void close() throws SQLException {
        if (stmt != null) {
            stmt.close();
        }
        if (conn != null) {
            conn.close();
        }
    }

    public void upsertStatus(String sql) throws SQLException {
        if (StringUtils.isNotBlank(sql)) {
            stmt.execute(sql);
        }
    }
}
