package com.winhc.data.utils;


import java.util.HashMap;
import java.util.Map;

/**
 * @author: XuJiakai
 * 2021/8/31 16:17
 */
public class EnvConst {
    private static final EnvProperties env = new EnvProperties();

    private static Map<String, String> params = env.getSource();

    public static void initAllConf(final String[] args, Map<String, String> conf) throws Exception {
        EnvConst.params = ParameterTool
                /*.fromMap(env.getSource())*/
                .fromMap(ParameterTool.fromArgs(args).toMap())
                /*.mergeWith(ParameterTool.fromSystemProperties())
                .mergeWith(ParameterTool.fromMap(getenv()))*/
                .mergeWith(ParameterTool.fromMap(conf))// mergeWith 会使用最新的配置
                .toMap();
    }

    //获取 Job 设置的环境变量
    private static Map<String, String> getenv() {
        Map<String, String> map = new HashMap<>();
        for (Map.Entry<String, String> entry : System.getenv().entrySet()) {
            map.put(entry.getKey().toLowerCase().replace('_', '.'), entry.getValue());
        }
        return map;
    }

    public static String getValue(String key) {
        return getValue(key, null);
    }

    public static String getValue(String key, String orDefault) {
        String value = params.getOrDefault(key, null);
        return value == null ? orDefault : value;
    }
}
